<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="image/png" href="assets/images/icons/favicon.ico"/>
	<link rel="stylesheet" type="text/css" href="assets/vendor/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/iconic/css/material-design-iconic-font.min.css">
	<link rel="stylesheet" type="text/css" href="assets/vendor/animate/animate.css">
	<link rel="stylesheet" type="text/css" href="assets/vendor/css-hamburgers/hamburgers.min.css">
	<link rel="stylesheet" type="text/css" href="assets/vendor/animsition/css/animsition.min.css">
	<link rel="stylesheet" type="text/css" href="assets/vendor/select2/select2.min.css">
	<link rel="stylesheet" type="text/css" href="assets/vendor/daterangepicker/daterangepicker.css">
	<link rel="stylesheet" type="text/css" href="assets/css/util.css">
	<link rel="stylesheet" type="text/css" href="assets/css/main.css">
</head>
<body>
	
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100 p-t-85 p-b-20">
				<form [formGroup]="f" (ngSubmit)="onSubmit()">
					<span class="login100-form-title p-b-70">
					<strong> Bienvenue </strong> 	
					<br><br>
				    <h5> S'authentifier !</h5></span>
                    		
					<span class="login100-form-avatar">
						<img src="assets/images/user.png">
					</span>

					<div class="wrap-input100  m-t-85 m-b-35">
						<input class="input100" type="text" formControlName="login" name="login" [(ngModel)]="login">
						<span class="focus-input100" data-placeholder="Login"></span>
					</div>
          <div *ngFor="let validation of validation_messages.login">
            <div class="error-message" *ngIf="f.get('login').hasError(validation.type) &&  (f.get('login').dirty ||  f.get('login').touched)">              
              {{validation.message}} 
            </div>
          </div>
          
					<div class="wrap-input100  m-b-50">
						<input class="input100" type="password"  formControlName="password" name="password" [(ngModel)]="password">
						<span class="focus-input100" data-placeholder="Mot de passe"></span>
          </div>
          
          <div *ngFor="let validation of validation_messages.password">
            <div class="error-message" *ngIf="f.get('password').hasError(validation.type) &&  (f.get('password').dirty ||  f.get('password').touched)">              
              {{validation.message}} 
  
              </div>
  
						</div>
						<br>
					<div class="container-login100-form-btn">
			
				<button (click)="checkLogin()" type="submit" class="login100-form-btn"> Connecter</button>

					</div>

				</form>
			</div>
		</div>
	</div>
	


</body>
</html>




